<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 3.2//EN">
<html>

<head>
<META Http-Equiv="Cache-Control" Content="no-cache">
<META Http-Equiv="Pragma" Content="no-cache">
<META Http-Equiv="Cache" Content="no store">
<META Http-Equiv="Expires" Content="0">
	<meta http-equiv="content-type" content="text/html; charset=UTF-8">
<title>Aide - Virements</title>
<link rel="stylesheet" href="http://www.univ-lr.fr/apps/support/maracuja/maracuja.css" type="text/css">
</head>

<body BGCOLOR="#ffffff" LINK="#000099">
	<h1>Maracuja - Virements </h1>	
	<p><i>		CRI - Université de La Rochelle
            / Cocktail <br>
rodolphe.prin@univ-lr.fr<br>
Mise &agrave; jour : 14/12/2005
</i></p>
	<hr>
	<h2>1.  Virements de type Banque de France (Disquette TG) </h2>
	<p>Liste et descriptif des valeurs &agrave; saisir dans la table VIREMENT_PARAM_BDF afin de param&eacute;trer les virements de type Disquette BDF. </p>
	<p>&nbsp;</p>
	<table width="80%"  border="0" cellspacing="2" cellpadding="5">
  <tr class="tableHeaderCell">
    <td>Nom du param&egrave;tre </td>
    <td><div align="center">Facultatif</div></td>
    <td>Valeurs possibles </td>
    <td>Description</td>
  </tr>
  <tr class="tableContentCell">
    <td>TVI_ORDRE</td>
    <td><div align="center">Non</div></td>
    <td>1</td>
    <td>R&eacute;f&eacute;rence au type de format (table TYPE_VIREMENT) </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_A1</td>
    <td><div align="center">Oui</div></td>
    <td>&nbsp;</td>
    <td>Ne rien mettre ici </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_A2</td>
    <td><div align="center">Oui</div></td>
    <td>&nbsp;</td>
    <td>Ne rien mettre ici </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_B1</td>
    <td><div align="center">Non</div></td>
    <td>20</td>
    <td>Code op&eacute;ration (20=virement ) </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C1</td>
    <td><div align="center">Non</div></td>
    <td>E0001</td>
    <td>Le E signifie Euro </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C2</td>
    <td><div align="center">Non</div></td>
    <td>30001</td>
    <td>Constante</td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C3</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td><strong>Code guichet du destinataire (de la TG) </strong></td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C41</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td><strong>Code du remettant (identifie l'&eacute;tablissement - donn&eacute; par la TG) </strong></td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C42</td>
    <td><div align="center">Non</div></td>
    <td>Dxxxxxx</td>
    <td><strong>D + N&deg; du compte remettant (sur 6 caract&egrave;res incluant la cl&eacute;) </strong></td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C5</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td><strong>N&deg; compte hors cl&eacute; de l'&eacute;tablissement (sur 11 caract&egrave;res) + libell&eacute; &eacute;tablissement </strong></td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_C6</td>
    <td><div align="center">Oui</div></td>
    <td>&nbsp;</td>
    <td>Ne rien mettre ici </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_D10</td>
    <td><div align="center">Non</div></td>
    <td>54</td>
    <td>Constante</td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_ETAT</td>
    <td><div align="center">Non</div></td>
    <td>VALIDE/ANNULE</td>
    <td>Indique si ce parametre est valide. </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_ORDRE</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td>Cl&eacute; de l'enregistrement dans la table </td>
  </tr>
  <tr class="tableContentCell">
    <td>VPB_COMPTE_TPG</td>
    <td><div align="center">Non</div></td>
    <td>&nbsp;</td>
    <td><strong>N&deg; compte de l'&eacute;tablissement (xxxxx  xxxxx  xxxxxxxxxxx  xx) </strong></td>
  </tr>
</table>
<p>&nbsp;</p>
<h2>2. Ajouter un nouveau compte de disquette TG </h2>
<p>C'est une possibilit&eacute; &agrave; partir de la version 1.2.3 de Maracuja. </p>
<p>Ceci permet de cr&eacute;er une disquette sur un compte diff&eacute;rent du compte par d&eacute;faut de l'&eacute;tablissement.   </p>
<p>Comment faire :</p>
<p>a. Cr&eacute;ez un enregistrement dans la table TYPE_VIREMENT, en reprenant les valeurs de la ligne correspondant &agrave; &quot;FICHIER DISQUETTE&quot; , en mettant un nouveau libell&eacute; et une nouvelle cl&eacute; (tvi_ordre)</p>
<p>Ca doit donner quelque chose du genre   </p>
<table width="80%"  border="0" cellspacing="2" cellpadding="5">
  <tr class="tableHeaderCell">
    <td><div align="center">TVI_LIBELLE</div></td>
    <td><div align="center">TVI_ORDRE</div></td>
    <td><div align="center">TVI_VALIDITE</div></td>
    <td><div align="center">MOD_DOM</div></td>
    <td><div align="center">TVI_FORMAT</div></td>
  </tr>
  <tr class="tableContentCell">
    <td>FICHIER DISQUETTE 2 </td>
    <td><div align="center">6</div></td>
    <td><div align="center">O</div></td>
    <td><div align="center">VIREMENT</div></td>
    <td><div align="center">BDF</div></td>
  </tr>
</table>
<p>&nbsp;</p>
<p>b. Cr&eacute;ez un enregistrement dans la table VIREMENT_PARAM_BDF avec comme TVI_ORDRE celui que vous venez de cr&eacute;er ci-dessus. Pour les param&egrave;tres, reportez-vous au 1.</p>
<p>Ceci fait, lorsque vous g&eacute;n&eacute;rez le paiement, vous aurez une valeur de plus dans la liste des formats de paiement (sur l'&eacute;cran de saisie de la date de valeur). Par contre ce nouveau compte TG n'a aucune incidence sur les &eacute;critures g&eacute;n&eacute;r&eacute;es lors du paiement. Les cr&eacute;dits seront toujours cr&eacute;&eacute;s sur le compte d&eacute;fini dans le  mode de paiement.  </p>
<p>&nbsp; </p>
<p>&nbsp;</p>
<p>&nbsp;</p>
</body>
